import 'package:flutter/material.dart';
import 'package:intl/date_symbol_data_local.dart';

import 'cresce_ui.dart';

void main() {
  initializeDateFormatting();
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      debugShowCheckedModeBanner: false,
      home: Material(
        child: Center(
          child: Padding(
            padding: const EdgeInsets.all(50),
            child: CDataTable(
              columns: [
                CTableColumn(label: 'test', width: 100),
                CTableColumn(label: 'test', width: 150),
                CTableColumn(label: 'test', width: 100),
              ],
              rows: Iterable.generate(5000)
                  .map((e) => CTableRow([
                        '$e dasdas',
                        '$e dasdas',
                        '$e dasdas',
                      ]))
                  .toList(),
            ),
          ),
        ),
      ),
    );
  }
}
